VST 3 Interfaces: IProgramListData Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IProgramListData Class Referenceabstract

Component extension to access program list data: Vst::IProgramListData. More...

`#include <ivstunits.h>`

Inheritance diagram for IProgramListData:

## Public Member Functions
virtual tresult | programDataSupported (ProgramListID listId)=0
| Returns kResultTrue if the given Program List ID supports Program Data.
virtual tresult | getProgramData (ProgramListID listId, int32 programIndex, IBStream *data)=0
| Gets for a given program list ID and program index the program Data.
virtual tresult | setProgramData (ProgramListID listId, int32 programIndex, IBStream *data)=0
| Sets for a given program list ID and program index a program Data.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Component extension to access program list data: Vst::IProgramListData.

- [plug imp]
- [extends IComponent]
- [released: 3.0.0]
- [optional]

A component can support program list data via this interface or/and unit preset data (IUnitData).

See Also
  IUnitData, vst3MultitimbralPrograms

## Member Function Documentation

virtual tresult programDataSupported | ( | ProgramListID | listId | ) |
| pure virtual

Returns kResultTrue if the given Program List ID supports Program Data.

virtual tresult getProgramData | ( | ProgramListID | listId,
|  | int32 | programIndex,
|  | IBStream * | data
| ) |  |
| pure virtual

Gets for a given program list ID and program index the program Data.

virtual tresult setProgramData | ( | ProgramListID | listId,
|  | int32 | programIndex,
|  | IBStream * | data
| ) |  |
| pure virtual

Sets for a given program list ID and program index a program Data.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.